Subject: Re: Trouble building gnu-win32 beta 17.1 as a cross-compiler
From: [email-masked] (Daniel Veillard)

13 Dec 1996 01:07:31 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Mailer: exmh version 1.6.9 8/22/96
Original-To: [email-masked]
Original-Cc: [email-masked]
Original-Sender: [email-masked]

  Ok,

I have sucessfully build the whole cross-compilation line, including
winsup. Building a small "Hello World" on xcompile is fine and runs
Ok on my NT box. I'm now working on cross-compiling Amaya to WINNT and
except the lack of "stat" or "_stat", everything is fine so far !

Nice job, Cygnus folks ...

Here is the steps I followed to build the xtools :

   - fetched xaa ... xai ; detarred in /usr/local/src/gnu-win32/src
   - mkdir ../obj ; cd ../obj
   - ../src/configure -v --prefix=/usr/local/win32 --target=i586-pc-cygwin32 > 
config.log 2>&1
   - make CFLAGS=-O2 > make.log 2>&1

something failed, ignored

   - make CFLAGS=-O2 install > install.log 2>&1

This install only 6 Mbytes of stuff in /usr/local/win32

re-run the make

   - make CFLAGS=-O2 > make2.log 2>&1

This time everything came up fine

   - make CFLAGS=-O2 install > install2.log 2>&1

This now populate /usr/local/win32 with 26 Mbytes, and everything seems
Ok so far ...

Daniel

-- 
Daniel [email-masked]      | W3C / INRIA Rhone-Alpes | Today's Bookmarks :
[email-masked]| 655 av de l'Europe      | Linux, WWW,
Tel : +33 04 76 61 53 85    | 38330 Montbonnot        | badminton,
Fax : +33 04 76 54 76 15    | France                  | Amaya and CSS.
Home: +33 04 76 63 05 86    | http://opera.inrialpes.fr/veillard

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".